﻿@using GoCoCMS.Web.Areas.Admin.Models.Comment
@model CommentListModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}
<div class="content-header clearfix">
    <h1 class="pull-left">
        Manage Comments
    </h1>
</div>

<div class="content">
    <div class="form-horizontal">
        <div class="panel-group">
            @await Html.PartialAsync("_SearchForm", Model.CommentSearchModel)

            <div class="panel panel-default">
                <div class="panel-body">
                    <table class="table table-bordered table-striped table-hover">
                        <tr>
                            <th width="10%">Name</th>
                            <th width="30%">Post name</th>
                            <th width="10%">Username</th>
                            <th width="20%">Created Date</th>
                            <th width="15%" class="text-center">Action</th>
                        </tr>
                        @foreach (var comment in Model.Comments)
                        {
                            <tr>
                                <td>@comment.Content</td>
                                <td>@comment.BlogPostName</td>
                                <td>@comment.UserName</td>
                                <td>@comment.CreatedDateString</td>
                                <td class="text-center">
                                    <a class="btn btn-default" asp-action="Delete" asp-route-id="@comment.Id"
                                       onclick="return confirm('Are you sure you want to delete this item?')">
                                        <i class="fa fa-remove"></i>Delete
                                    </a>
                                </td>
                            </tr>
                        }
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="text-center">
        <goco-paging page-model="@Model.PagingModelFilter"
                     page-action=""
                     page-class="page-link"
                     page-class-selected="active" />
    </div>
</div>